OpenNMS API 1.2.9

## org.opennms.netmgt.rtc.datablock
Class HttpPostInfo

    java.lang.Object
      org.opennms.netmgt.rtc.datablock.HttpPostInfo

public class HttpPostInfo
extends java.lang.Object

Class containing the information for the HTTP POST operations - this gets constructed when each time a subscribe event is received and is basically immutable(except for error count)

Author:
  Sowmya Nataraj , OpenNMS.org

Field Summary
`private java.lang.String` `m_catlabel` The category name related to this URL
`private int` `m_errors` Number of post errors
`private java.lang.String` `m_passwd` The password
`private java.net.URL` `m_url` The URL to post to
`private java.lang.String` `m_user` The user name

Constructor Summary
`HttpPostInfo(java.lang.String hurl, java.lang.String clabel, java.lang.String user, java.lang.String passwd)` Constructor
`HttpPostInfo(java.net.URL hurl, java.lang.String clabel, java.lang.String user, java.lang.String passwd)` Constructor

Method Summary
`void` `clearErrors()` Clear error count if there were errors earlier
`boolean` `equals(java.lang.Object o)` Overrides the superclass method to return true only if all instance members are equal
`java.lang.String` `getCategory()` Return the category label
`int` `getErrors()` Return the number of errors
`java.lang.String` `getPassword()` Return the passwd
`java.net.URL` `getURL()` Return the URL
`java.lang.String` `getURLString()` Return the URL as a string
`java.lang.String` `getUser()` Return the user
`void` `incrementErrors()` Increment errors

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_url

    private java.net.URL m_url

  The URL to post to

### m_catlabel

    private java.lang.String m_catlabel

  The category name related to this URL

### m_user

    private java.lang.String m_user

  The user name

### m_passwd

    private java.lang.String m_passwd

  The password

### m_errors

    private int m_errors

  Number of post errors

Constructor Detail

### HttpPostInfo

    public HttpPostInfo(java.net.URL hurl,
                        java.lang.String clabel,
                        java.lang.String user,
                        java.lang.String passwd)

  Constructor

### HttpPostInfo

    public HttpPostInfo(java.lang.String hurl,
                        java.lang.String clabel,
                        java.lang.String user,
                        java.lang.String passwd)
                 throws java.net.MalformedURLException

  Constructor

Throws:
  `java.net.MalformedURLException` - thrown if the string url passed is not a valid url

Method Detail

### incrementErrors

    public void incrementErrors()

  Increment errors

### clearErrors

    public void clearErrors()

  Clear error count if there were errors earlier

### getURL

    public java.net.URL getURL()

  Return the URL

  Returns:
    the URL

### getURLString

    public java.lang.String getURLString()

  Return the URL as a string

  Returns:
    the URL as a string

### getCategory

    public java.lang.String getCategory()

  Return the category label

  Returns:
    the category label

### getUser

    public java.lang.String getUser()

  Return the user

  Returns:
    the user

### getPassword

    public java.lang.String getPassword()

  Return the passwd

  Returns:
    the passwd

### getErrors

    public int getErrors()

  Return the number of errors

  Returns:
    the number of errors

### equals

    public boolean equals(java.lang.Object o)

  Overrides the superclass method to return true only if all instance members are equal

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.